org.apache.ignite.startup.cmdline

## Class CommandLineTransformer

- java.lang.Object
- - org.apache.ignite.startup.cmdline.CommandLineTransformer

-     public class CommandLineTransformer
      extends Object

  This class is a workaround for a versatile problems with passing arguments to the Ignite Windows batch launcher scripts. It transforms command line options passed to the *.bat launcher scripts into a reformatted, adapted for Windows batch usage variables.

  The idea behind the workaround is:
  1. User runs ignite.bat with some args.
  2. ignite.bat calls parseargs.bat with all that args.
  3. parsearg.bat runs this class with all that args.
  4. This class transforms the args and prints them out.
  5. parseargs.bat splits the output of this class and sets each variable it found.
  6. ignite.bat uses environment variables as if they were defined by a user.

  See Also:
    JCommander command line parameters parsing library

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Main method being triggered in step 3 of the Workaround.
    `static String` | `transform(String... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(String[] args)

      Main method being triggered in step 3 of the Workaround.

      Method prints out TRANSFORMATION_FAILED_FLAG if something went wrong.

      Parameters:
        `args` - Command line arguments passed by a user in step 1 of the Workaround.

    - #### transform

          public static String transform(String... args)

      Parameters:
        `args` - Arguments.
      Returns:
        Transformed arguments.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023